# ulisse-ipi-dump.properties
# WARNING: defaults loaded from resource classpath:/defaults.properties


# override(s)
default.environment=prod
default.environment_dtp=prod
default.environment_sqs=prod
default.home_folder=/home/sualkemy/goal
log4j.configuration=${default.home_folder}/ulisse-ipi-dump-log4j2.xml
#aws.credentials=${default.home_folder}/AwsCredentials.properties

http.proxy.host=10.255.1.241
http.proxy.port=8080

# <tisnr>,<code2>,<code3>,<name>;...
country_service.missing_countries=231,ET,ETH,ETHIOPIA;280,DE,DEU,GERMANY;736,SD,SDN,SUDAN;887,YE,YEM,YEMEN;446,MO,MAC,MACAO
country_service.sql.select_territorio_gerarchia=\
 select TIS_N_PARENT, TIS_N_CHILD \
   from TERRITORIO_GERARCHIA \
  where (APPARTIENE_DA is null or APPARTIENE_DA < {sqldate}) \
    and (APPARTIENE_A is null or APPARTIENE_A > {sqldate})
country_service.sql.select_territorio=\
 select TIS_N, TIS_A, TIS_A_EXT, NOME \
  from TERRITORIO \
 where (DATA_VALIDITA_DA is null or DATA_VALIDITA_DA < {sqldate}) \
   and (DATA_VALIDITA_A is null or DATA_VALIDITA_A > {sqldate})

# ulisse-ipi-dump
ulisse_ipi_dump.locked=false
#ulisse_ipi_dump.debug=true
ulisse_ipi_dump.bind_port=19191

ulisse_ipi_dump.sqs.max_messages_per_run=1
ulisse_ipi_dump.sqs.max_polling_duration=4m30s
ulisse_ipi_dump.sqs.polling_period=10s
ulisse_ipi_dump.sqs.sender_name=ulisse-ipi-dump-ml
ulisse_ipi_dump.sqs.service_bus_queue=${default.environment_sqs}_service_bus
ulisse_ipi_dump.sqs.to_process_queue=${default.environment_sqs}_to_process_ulisse_ipi_dump_ml
ulisse_ipi_dump.sqs.started_queue=${default.environment_sqs}_started_ulisse_ipi_dump_ml
ulisse_ipi_dump.sqs.completed_queue=${default.environment_sqs}_completed_ulisse_ipi_dump_ml
ulisse_ipi_dump.sqs.failed_queue=${default.environment_sqs}_failed_ulisse_ipi_dump_ml
ulisse_ipi_dump.sqs.deduplicator_folder=${default.home_folder}/sqs_deduplicator.trie

ulisse_ipi_dump.ulisse.irregularity.cols=id_tipo_irregolarita,codice,descrizione,posizione,posizione_dem,posizione_drm,conto_dem,conto_drm,numeratore,denominatore,percentuale,codice_esempio,codice_ipi,tipo_qualifica
ulisse_ipi_dump.ulisse.irregularity.rows=6
ulisse_ipi_dump.ulisse.irregularity.row.1=66,100,Prescrizione Italia,000096680,000096680,000096680,90,90,24,24,100,171270630AAAA,IRREGOLARE,CA
ulisse_ipi_dump.ulisse.irregularity.row.2=67,101,Prescrizione Estero,000096681,000096681,000096681,90,90,24,24,100,950610165AAAA,IRREGOLARE,CA
ulisse_ipi_dump.ulisse.irregularity.row.3=68,102,BOLL.IRREG. ITALIA,000097777,000097777,000097777,90,90,24,24,100,893060125AAAA,IRREGOLARE,CA
ulisse_ipi_dump.ulisse.irregularity.row.4=69,103,BOLL.IRREG. ESTERO,000098888,000098888,000098888,90,90,24,24,100,092940303AAAA,IRREGOLARE,CA
ulisse_ipi_dump.ulisse.irregularity.row.5=70,104,BOLLETTINO MAGNETICO,100888884,100888884,100888884,84,84,24,24,100,991910647AAAA,IRREGOLARE,CA
ulisse_ipi_dump.ulisse.irregularity.row.6=71,105,SOSPESI PER CONTESTAZ,100888887,100888887,100888887,07,07,24,24,100,840380034AAAA,IRREGOLARE,CA

ulisse_ipi_dump.ipi.irregularity.cols=agmid,ipnamenr,rgt,shr,societa,rol
ulisse_ipi_dump.ipi.irregularity.rows=2
ulisse_ipi_dump.ipi.irregularity.row.1=IRREGOLARE,IRREGOLARE,DEM,100,SIAE,MC
ulisse_ipi_dump.ipi.irregularity.row.2=IRREGOLARE,IRREGOLARE,DRM,100,SIAE,MC

# decodifica ulisse.tipo_qualifica -> ipi.rol 
# ('AO','SA','AD','TR','AS') -> 'LY'
# ('CO','CA','EL','AR','SR','CE') -> 'MC'
# ('EO','EC','AM','SE','PE','PA','AP','EA','AQ') -> 'EM'

ulisse_ipi_dump.reference_day=01
ulisse_ipi_dump.techsysdate=true
ulisse_ipi_dump.country_code=ITA
ulisse_ipi_dump.ipi_types=OD:DEM,MD:DRM
ulisse_ipi_dump.ipi_roles=LY,MC,EM
ulisse_ipi_dump.ulisse_to_ipi_roles=CO:MC,CA:MC,EL:MC,AR:MC,SR:MC,AO:LY,SA:LY,AD:LY,TR:LY,EO:EM,EC:EM,AM:EM,SE:EM,PE:EM,CE:MC,PA:EM,AS:LY,AP:EM,EA:EM,AQ:EM
ulisse_ipi_dump.array_columns=codice_ipi,posizione_siae,quota_denominatore,quota_numeratore,id_repertorio,tipo_qualifica,tipo_quota,quota_percentuale,cognome,codice_conto,id_conto,shr,societa,tipo_irregolarita
ulisse_ipi_dump.latest_filename=_LATEST

ulisse_ipi_dump.ipi_tisagm.heartbeat=20000
ulisse_ipi_dump.ipi_tisagm.home_folder=${default.home_folder}/ipi_tisagm.trie
ulisse_ipi_dump.ipi_tisagm.page_size=32Mb
ulisse_ipi_dump.ipi_tisagm.read_only=false
ulisse_ipi_dump.ipi_tisagm.delete_when_done=true

ulisse_ipi_dump.ipi_soc.heartbeat=20000
ulisse_ipi_dump.ipi_soc.home_folder=${default.home_folder}/ipi_soc.nosql
ulisse_ipi_dump.ipi_soc.page_size=32Mb
ulisse_ipi_dump.ipi_soc.cache_size=1K
ulisse_ipi_dump.ipi_soc.create_always=true
ulisse_ipi_dump.ipi_soc.read_only=false
ulisse_ipi_dump.ipi_soc.delete_when_done=true

ulisse_ipi_dump.ulisse_schema_territorio.heartbeat=20000
ulisse_ipi_dump.ulisse_schema_territorio.home_folder=${default.home_folder}/ulisse_schema_territorio.trie
ulisse_ipi_dump.ulisse_schema_territorio.page_size=32Mb
ulisse_ipi_dump.ulisse_schema_territorio.read_only=false
ulisse_ipi_dump.ulisse_schema_territorio.delete_when_done=true

ulisse_ipi_dump.ulisse_codice_opera.heartbeat=100000
ulisse_ipi_dump.ulisse_codice_opera.home_folder=${default.home_folder}/ulisse_codice_opera.trie
ulisse_ipi_dump.ulisse_codice_opera.page_size=32Mb
ulisse_ipi_dump.ulisse_codice_opera.read_only=false
ulisse_ipi_dump.ulisse_codice_opera.delete_when_done=true

ulisse_ipi_dump.output.s3_folder_url=s3://siae-sophia-multimediale-locale/SCHEMI_RIPARTO_ULISSE/year={year}/month={month}
ulisse_ipi_dump.output.s3_versioned_folder_url=s3://siae-sophia-multimediale-locale/SCHEMI_RIPARTO_ULISSE/year={year}/month={month}/version={version}
ulisse_ipi_dump.output.max_file_size=128Mb
ulisse_ipi_dump.output.delimiter=,
ulisse_ipi_dump.output.sub_delimiter=\|

ulisse_ipi_dump.sql.ipi_tisagm=\
	select b.agmid agmid \
	     , b.tisnr tisnr \
	     , b.incexc incexc \
	  from ipi_agm a, ipi_tisagm b \
	 where a.agmid = b.agmid \
	   and ({sqldate} between a.fromdt and a.todt) \
	   and a.rgt in ('OD', 'MD') \
	   and a.creclass = 'MW' \
	 order by b.agmid, b.tisagmseq 

ulisse_ipi_dump.sql.ipi_soc=\
	select a.agmid agmid \
	     , b.ipnamenr ipnamenr \
	     , a.rgt rgt \
	     , a.shr shr \
	     , c.socname societa \
	     , a.rol rol \
	  from ipi_agm a, ipi_name_ref b, ipi_soc c \
	 where a.ipbasenr = b.ipbasenr \
	   and a.socid = c.socid \
	   and ({sqldate} between a.fromdt and a.todt) \
	   and a.rgt in ('OD', 'MD') \
	   and a.creclass = 'MW' \
	 order by b.ipnamenr

ulisse_ipi_dump.sql.ulisse_schema_territorio=\
	select a.id_schema_riparto id_schema_riparto \
	     , a.id_territorio id_territorio \
	     , a.operatore_logico operatore_logico \
	     , a.sequenza sequenza \
	  from SCHEMA_TERRITORIO a, SCHEMA_RIPARTO b \
	 where (b.data_validita_da is null or b.data_validita_da < {sqldate}) \
	   and (b.data_validita_a is null or b.data_validita_a > {sqldate}) \
	   and (b.data_tecnica_da is null or b.data_tecnica_da < {techsqldate}) \
	   and (b.data_tecnica_a is null or b.data_tecnica_a > {techsqldate}) \
	   and a.id_schema_riparto = b.id_schema_riparto \
	   and b.id_repertorio = 1 \
	   and b.id_tipo_repertorio = 0 \
	 order by a.id_schema_riparto, a.sequenza

ulisse_ipi_dump.sql.ulisse_codice_opera=\
	select co.codice codice \
	     , os.id_schema_riparto id_schema_riparto \
	  from CODICE_OPERA co, ANAG_OPERA ao, STATO_OPERA so, OPERA_SCHEMA os \
	 where (co.data_validita_da is null or co.data_validita_da < {sqldate}) \
	   and (co.data_validita_a is null or co.data_validita_a > {sqldate}) \
	   and (os.data_validita_da is null or os.data_validita_da < {sqldate}) \
	   and (os.data_validita_a is null or os.data_validita_a > {sqldate}) \
	   and (os.data_tecnica_da is null or os.data_tecnica_da < {techsqldate}) \
	   and (os.data_tecnica_a is null or os.data_tecnica_a > {techsqldate}) \
	   and co.id_anag_opera = ao.id_anag_opera \
	   and os.id_anag_opera = ao.id_anag_opera \
	   and ao.id_stato_opera = so.id_stato_opera \
	   and co.id_tipo_codice = 1 \
	   and nvl(so.stato_opera, '#') != 'NA'

ulisse_ipi_dump.sql.ulisse_quota_riparto=\
	select a.id_schema_riparto id_schema_riparto \
	     , a.quota_denominatore quota_denominatore \
	     , a.quota_numeratore quota_numeratore \
	     , a.codice_ipi codice_ipi \
	     , a.posizione_siae posizione_siae \
	     , a.tipo_qualifica tipo_qualifica \
	     , a.tipo_quota tipo_quota \
	     , a.quota_percentuale quota_percentuale \
	     , a.cognome cognome \
	     , a.codice_conto codice_conto \
	     , a.codice_conto_estero codice_conto_estero \
	     , a.id_repertorio id_repertorio \
	     , b.id_tipo_irregolarita id_tipo_irregolarita \
	  from QUOTA_RIPARTO a \
	       left join IRREGOLARITA_SCHEMA b \
	         on a.id_schema_riparto = b.id_schema_riparto \
		    and (b.data_validita_da is null or b.data_validita_da < {sqldate}) \
		    and (b.data_validita_a is null or b.data_validita_a > {sqldate}) \
		    and b.id_stato_irregolarita = 0 \
	 where (a.data_validita_da is null or a.data_validita_da < {sqldate}) \
	   and (a.data_validita_a is null or a.data_validita_a > {sqldate}) \
	   and a.tipo_quota IN ('DEM', 'DRM') \
	   and a.id_repertorio = 1 \
	 order by a.id_schema_riparto, a.tipo_quota, b.id_tipo_irregolarita	   









